package com.himajin2001.marubatsu.control;

/**
 * 対戦者が石を置く座標を表す。
 * 
 * 変更不可値Object。(Mutable Object)
 * 
 * @author tsubasa
 */
public class Position {
	private final int y;
	private final int x;

	/**
	 * コンストラクタ。
	 * 
	 * @param y
	 * @param x
	 */
	public Position(int y, int x) {
		this.y = y;
		this.x = x;
	}

	/**
	 * Y座標を取得する。
	 * 
	 * @return Y座標。
	 */
	public int getY() {
		return this.y;
	}

	/**
	 * X座標を取得する。
	 * 
	 * @return X座標。
	 */
	public int getX() {
		return this.x;
	}

	/**
	 * (非 Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "(" + this.y + " ," + this.x + " )";
	}
}
